Module Module1

    Sub Main()
        'Zobrazeni informativniho zahlavi v okne prikazoveho radku
        Console.Title = "Převod stupňů Fahrenheita na stupně Celsia"

        'Deklarace tri promennych pro teplotu ve stupnich Fahrenheita, teplotu
        've stupnich Celsia a nazev mesta
        'Datovy typ Single umoznuje praci s teplotami, danymi desetinnymi cisly
        Dim teplotaFahrenheit As Single, teplotaCelsius As Single
        Dim nazevMesta As String

        'Nyni by uzivatel mel zadat nazev mesta, pro nejz ma nejake informace o pocasi
        Console.Write("Zadejte název města: ")
        nazevMesta = Console.ReadLine()

        'Dale by uzivatel mel zadat teplotu ve stupnich Fahrenheita
        Console.Write("Zadejte teplotu v {0} ve stupních Fahrenheita: ", nazevMesta)
        teplotaFahrenheit = Console.ReadLine

        'Prevod teploty ve stupnich Fahrenheita na stupne Celsia
        'a zaokrouhleni na nejblizsi desetinu stupne
        'Toto zaokrouhleni zajisti metoda Math.Round
        teplotaCelsius = Math.Round((teplotaFahrenheit + 40) * 5 / 9 - 40, 1)

        'Zobrazeni nazvu mesta a teplot pomoci nahraditelnych parametru
        Console.WriteLine("Teplota v {0} je {1} stupňů Fahrenheita a {2} stupňů Celsia.", _
        nazevMesta, teplotaFahrenheit, teplotaCelsius)

        'Cekani do doby, nez uzivatel stiskne nejakou klavesu, coz uzavre okno 
        'prikazoveho radku
        Console.ReadKey()
    End Sub

End Module
